%define version 1.7.9
%define release 1mdk

%define major 1
%define libname_orig	%mklibname sqlplus
%define libname %{libname_orig}%{major}

Summary:	MySQL++ is a C++ API for MySQL
Name:		mysql++
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/Databases
URL:		http://spi.cern.ch/extsoft/mysql++.html
Source0:	http://www.mysql.com/Downloads/mysql++/mysql++-1.7.9.tar.bz2
Patch0:		%{name}-versionfix.patch.bz2
Patch1:		http://www.mysql.com/Downloads/mysql++/mysql++-gcc-3.0.patch.bz2
Patch2:		http://www.mysql.com/Downloads/mysql++/mysql++-gcc-3.2.patch.bz2
Patch3:		http://www.mysql.com/Downloads/mysql++/mysql++-gcc-3.2.2.patch.bz2
Patch4:		%{name}-1.7.9-gcc-3.3.1.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	MySQL-devel

%description
The goal of this API is to make working with queries as easy as working with
other STL Containers.

%package	-n %{libname}
Summary:	MySQL++ is a C++ API for MySQL
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description	-n %{libname}
The goal of this API is to make working with queries as easy as working with
other STL Containers.

%package	-n %{libname}-devel
Summary:	Development files from MySQL++
Group:		Development/Databases
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	-n %{libname}-devel
This package contains static libraries and headers of MySQL++, which are
useful when you develop or compile any applications/libraries using
MySQL C++ interface.

%prep
%setup -q
%patch0 -p1 -b .version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%__libtoolize -c -f
aclocal-1.4
automake-1.4 --add-missing --copy
WANT_AUTOCONF_2_1=1 autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

pushd examples
%{__make} clean
rm -rf .[a-z]*
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc doc LGPL README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc examples
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la


%changelog
* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 1.7.9-1mdk
- First mandrake package provided by Robert Oldham
  <robertoldham@rhinomaeo.com>:
  o Created a patch to move from gcc 3.2.2 to 3.3.1.  There is a patch
  o on the mysql website for gcc 3.3 but it didn't work for me, and with
  o review, it appeared to have problems.  So, I created a new, and
  o greatly simplified patch that seemed to take care of the compilation
  o issues.
- Adopted with MDK conventions
